Mattermost Peer-to-Peer Forum

Mattermost broken on AWS Elastic Beanstalk


#1

{“status”:“FAILURE”,“api_version”:“1.0”,“results”:[{“status”:“FAILURE”,“msg”:“Invalid Dockerrun.aws.json version, abort deployment. \nHook /opt/elasticbeanstalk/hooks/appdeploy/pre/03build.sh failed. For more detail, check /var/log/eb-activity.log using console or EB CLI”,“returncode”:1,“events”:[{“msg”:“Invalid Dockerrun.aws.json version, abort deployment”,“severity”:“ERROR”,“timestamp”:1480065433}]}]}

I changed to version to 2…
“AWSEBDockerrunVersion”: “2”

{“status”:“FAILURE”,“api_version”:“1.0”,“results”:[{“status”:“FAILURE”,“msg”:“No Docker image specified in either Dockerfile or Dockerrun.aws.json. Abort deployment. \nHook /opt/elasticbeanstalk/hooks/appdeploy/pre/03build.sh failed. For more detail, check /var/log/eb-activity.log using console or EB CLI”,“returncode”:1,“events”:[{“msg”:“No Docker image specified in either Dockerfile or Dockerrun.aws.json. Abort deployment.”,“severity”:“ERROR”,“timestamp”:1480065989}]}]}

Any solutions? What am I doing incorrectly?


#2

Hey @Bruce, at which step of our installation guide did you see this error?